
init:					; Initialisierung diverser Register

	ldi temp, RAMEND 		; Stack initialisierung
	out SPL, temp

					; Zur Sicherheit alle Register zuruecksetzen
	clr r0
	clr r1
	clr r2
	clr r3
	clr r4
	clr r5
	clr r6
	clr r7
	clr r8
	clr r9
	clr r10
	clr r11
	clr r12
	clr r13
	clr r14
	clr r15
	clr r16
	clr r17
	clr r18
	clr r19
	clr r20
	clr r21
	clr r22
	clr r23
	clr r24
	clr r25	

					; Initialisierung der Register zur Tastenentprellung
	clr	key_state
	clr	key_press
	clr	key_ct0
	dec	key_ct0
	mov	key_ct1, key_ct0

	clr	key_state2
	clr	key_press2
	clr	key_ct2
	dec	key_ct2
	mov	key_ct3, key_ct2


	ldi temp, 0x00
	out DDRD, temp			; Port D komplett als Eingabe
	ldi temp, 1<<PB0^1<<PB1^1<<PB2
	out DDRB, temp			; Port B als Eingabe, PB0,1 und 2 als Ausgabe (Relais)
	ldi temp, 0xFF
	out PORTD, temp			; Interne Pullups verwenden
	ldi temp, 1<<PB5^1<<PB4^1<<PB3
	out PORTB, temp

	ldi temp, 1<<PC5
	out DDRC, temp			; PortC als Eingabe, PC5 als Ausgang zur StatusLED
	out PORTC,temp			; LED is inverted, so we have to set the pin high to disable the led


	ldi temp, 1<<TOIE0		; Timer0 Overflow Intterupt aktivieren
	out TIMSK,temp
	ldi temp, 1<<CS00^1<<CS01 	; Timer0 Vorteiler = XTAL/64
	out TCCR0,temp

	ldi temp, 1<<CTC1^1<<CS12	; Clear Timer on Compare Match und Timer1 Vorteiler = 256
	out TCCR1B, temp

	ldi temp, high (15624)		; XTAL / Vorteiler = 15624 (Zur Erzeugung einer Sekunde)
	out OCR1H, temp
	ldi temp, low (15624)
	out OCR1L, temp

	ldi temp,0b10000101		; ADC aktivieren, Vorteiler ist 32 = 125kHz
	out ADCSR,temp
