;***********************************************************
;startconversion
;***********************************************************
turn:
	clr ergebniss			; Ergebniss zuruecksetzen


	mov temp,ziffer1		; Ziffer 1 ins "temp" Register
	ldi temp2, 0x46			; 70 in "temp2" Register laden
	clr temp3			; "temp3" loeschen
	rcall multi			; Ziffer 1 mit 70 multiplizieren
	add ergebniss, temp3		; und zum "ergebniss" Register hinzuaddieren

	mov temp,ziffer2		; Ziffer 2 ins "temp" Register
	ldi temp2, 0x07			; 7 in "temp2" Register laden
	clr temp3			; "temp3" loeschen
	rcall multi			; Ziffer 2 mit 7 multiplizieren
	add ergebniss, temp3		; und zum "ergebniss" Register hinzuaddieren

	add ergebniss,ziffer3		; Ziffer 3 direkt zum "ergebniss" Register hinzuaddieren

	rcall get8bit_adc		; AD-Wandler mit 8bit einlesen

	cp ergebniss, temp		; Vergleich des Eingabewertes mit dem AD-Wandler Wert
	breq end_conversion		; Wenn gleich, dann beenden indem Timer1 gestartet, und das "bremsflag" gesetzt wird.
	brlo turnrigth			; Wenn kleiner, dann rechts drehen

	ldi temp,0b11111110		; Wenn groesser, dann links drehen
	out PORTB,temp
	rjmp end_tim0_ovf_0
	
turnrigth:
	ldi temp,0b11111011
	out PORTB,temp
	rjmp end_tim0_ovf_0


end_conversion:
	ldi flags, 1<<bremsflag
	ldi temp, 1<<TOIE0^1<<OCIE1
	out TIMSK, temp
	
end_tim0_ovf_0:
	out SREG, savesreg
	reti
