.include "4433def.inc"

.include "def.inc"		; Definitionen der Register

.org 0x0000			; Reset Interrupt Vektor
rjmp init

.org OC1Aaddr			; Timer1 Compare Match Interrupt Vektor
rjmp tim1_comp

.org OVF0addr			; Timer0 Overflow Interrupt Vektor
rjmp tim0_ovf

.include "init.inc"

	sei			; Interrupts global aktivieren


	loop:

	rjmp loop

.include "tim0_ovf.inc"		; Wichtigster Timer ( Einlesen der Tasten, Verarbeitung etc.)
.include "turning.inc"		; Routine zur Verarbeitung und Ansteuerung
.include "tim1_comp.inc"	; 1 Sekunden Timer fr die Bremssteuerung
.include "tools.inc"		; Verschiedene Tools (Multiplikation, ADC in 8-Bit, Ziffereinsortierung)
.include "input.inc"		; Routinen zur Auswertungs des Tastenfeldes


